Subject: Re: bug#77122: [PATCH] project--find-in-directory resolves symlinks

From: Ship Mints <[email-masked]>
Date: Tue, 25 Mar 2025 08:26:11 -0400

On Tue, Mar 25, 2025 at 8:17 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Mon, 24 Mar 2025 16:25:44 -0400
> > Cc: [email-masked], [email-masked], [email-masked]
> >
> > To concretely demonstrate the differences, the function project-name
> will return different results for each
> > project object based on buffers loaded from different paths, despite the
> projects being equivalent.
> >
> > project-name is defined as:
> >
> > (file-name-nondirectory (directory-file-name (project-root project)))
> >
> > If the root directory is determined to be different, the objects return
> different names (and different roots).
>
> Unless I'm misunderstanding what Daniel wrote, the above is actually a
> feature from his POV.
>

Indeed, it might be, but I'm curious what tooling he's using that depends
on project-root not being "absolute" so to speak, and relative to his
ambient default-directory.